Package org.flowable.bpmn.model

# Class MessageFlow

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.MessageFlow

All Implemented Interfaces:
  `HasExtensionAttributes`

public class MessageFlow extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `messageRef`
  `protected String`
  `name`
  `protected String`
  `sourceRef`
  `protected String`
  `targetRef`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageFlow()`
  `MessageFlow(String sourceRef, String targetRef)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessageFlow`
  `clone()`
  `String`
  `getMessageRef()`
  `String`
  `getName()`
  `String`
  `getSourceRef()`
  `String`
  `getTargetRef()`
  `void`
  `setMessageRef(String messageRef)`
  `void`
  `setName(String name)`
  `void`
  `setSourceRef(String sourceRef)`
  `void`
  `setTargetRef(String targetRef)`
  `void`
  `setValues(MessageFlow otherFlow)`
  `String`
  `toString()`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### sourceRef

    protected String sourceRef

  - ### targetRef

    protected String targetRef

  - ### messageRef

    protected String messageRef

- ## Constructor Details

  - ### MessageFlow

    public MessageFlow()

  - ### MessageFlow

    public MessageFlow(String sourceRef, String targetRef)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getSourceRef

    public String getSourceRef()

  - ### setSourceRef

    public void setSourceRef(String sourceRef)

  - ### getTargetRef

    public String getTargetRef()

  - ### setTargetRef

    public void setTargetRef(String targetRef)

  - ### getMessageRef

    public String getMessageRef()

  - ### setMessageRef

    public void setMessageRef(String messageRef)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### clone

    public MessageFlow clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(MessageFlow otherFlow)